EMF::EMRCREATEBRUSHINDIRECT(3)

NAME
EMF::EMRCREATEBRUSHINDIRECT - EMF Brush.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRCREATEBRUSHINDIRECT (BRUSH *brush, HGDIOBJ handle)
EMRCREATEBRUSHINDIRECT (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Brush.

Create a new brush (used for filling shapes).

Constructor & Destructor Documentation

  EMRCREATEBRUSHINDIRECT::EMRCREATEBRUSHINDIRECT (BRUSH * brush, HGDIOBJ handle)

Parameters
    brush an instance of a BRUSH object.
    handle the BRUSH object's handle.

References EMRCREATEBRUSHINDIRECT().

Referenced by EMRCREATEBRUSHINDIRECT().

  EMRCREATEBRUSHINDIRECT::EMRCREATEBRUSHINDIRECT (DATASTREAM & ds)
Create a CreateBrushIndirect record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMRCREATEBRUSHINDIRECT::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

  bool EMF::EMRCREATEBRUSHINDIRECT::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRCREATEBRUSHINDIRECT::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.